<div class="d-flex justify-content-center">
<form [formGroup]="userForm">
  <fieldset [disabled]="isPending">
    <legend>Login</legend>
    <div class="form-group">
      <label for="username">Username</label>
      <input id="username" type="text" class="form-control"
             [class.is-invalid]="username.invalid && username.dirty"
             formControlName="username" required/>
      <div class="invalid-feedback" [class.hidden]="username.errors?.required">Required</div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input id="password" type="password" class="form-control"
             [class.is-invalid]="password.invalid && password.dirty"
             formControlName="password" required/>
      <div class="invalid-feedback" [class.hidden]="password.errors?.required">Required</div>
    </div>
    <input class="btn btn-primary" type="submit" [disabled]="userForm.invalid"
           (click)="login(username.value, password.value)" value="Login" />
    <input class="btn btn-secondary ml-1 btn-back" type="button" (click)="back()" value="Back" />
  </fieldset>
</form>
</div>
